Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PG_Operators.cpp File Reference

`#include "PG_Operators.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for PG_Operators.cpp:

## Functions
const char * | get_rcsid_PortableGroup_PG_Operators (const char *)
int | operator== (const CosNaming::Name &lhs, const CosNaming::Name &rhs)
| Global CosNaming::Name equality operator.
int | operator!= (const CosNaming::Name &lhs, const CosNaming::Name &rhs)
| Global CosNaming::Name inequality operator.
## Variables
const char * | rcsid_PortableGroup_PG_Operators = get_rcsid_PortableGroup_PG_Operators ( rcsid_PortableGroup_PG_Operators )

## Function Documentation

const char* get_rcsid_PortableGroup_PG_Operators | ( | const char * |  | ) | `[inline, static]`

int operator!= | ( | const CosNaming::Name & | lhs,
|  | const CosNaming::Name & | rhs
| ) |

| Global CosNaming::Name inequality operator. This simple implementation simply negates the result of the equality operator.

int operator== | ( | const CosNaming::Name & | lhs,
|  | const CosNaming::Name & | rhs
| ) |

| Global CosNaming::Name equality operator. Used for checking equality of PortableGroup::Location and PortableGroup::Property variables.

## Variable Documentation

const char* rcsid_PortableGroup_PG_Operators = get_rcsid_PortableGroup_PG_Operators ( rcsid_PortableGroup_PG_Operators )`[static]`